DEV_GETBYHWADDR(9)

NAME
dev_getbyhwaddr - find a device by its hardware address

SYNOPSIS

struct net_device * dev_getbyhwaddr (unsigned short type, char * ha);

ARGUMENTS

type
    media type of device

ha  hardware address

DESCRIPTION

Search for an interface by MAC address. Returns NULL if the device is not found or a pointer to the device. The caller must hold the rtnl semaphore. The returned device has not had its ref count increased and the caller must therefore be careful about locking

BUGS

If the API was consistent this would be __dev_get_by_hwaddr